Skip to content

View All Lineage

API Description

Use this API to retrieve upstream and downstream lineage relationships for assets.

API URL

GET http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/lineage/queryAll

To obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Parameters

Common Request Headers

Parameter Type Required Description
tenant-id String Yes The tenant ID of the tenant that contains the metric query assets.
auth-type String Yes Authentication type. Supported values: UID, TOKEN, ACCOUNT, APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

Request Body

None.

JSON Vertex and Edge Relationship

The following table shows example relationships between vertices and edges.

Source Vertex (srcVertex) Source Vertex Type Destination Vertex (dstVertex) Destination Vertex Type
aloudata_am_upload_database_dev.public.product FILE tb_product DATASET
aloudata_am_upload_database_dev.public.product.type FILE_COLUMN tb_product.type DATASET_COLUMN
aloudata_am_upload_database_dev.public.product.id FILE_COLUMN tb_product.id DATASET_COLUMN
aloudata_am_upload_database_dev.public.product.name FILE_COLUMN tb_product.name DATASET_COLUMN
tb_product DATASET tb_product.type DATASET_COLUMN
tb_product DATASET tb_product.id DATASET_COLUMN
tb_product DATASET tb_product.name DATASET_COLUMN
tb_product.type DATASET_COLUMN tb_product_type DIMENSION
default_catalog.anymetrics.tb_order PHYSICAL_TABLE tb_order DATASET
default_catalog.anymetrics.tb_order.order_amt PHYSICAL_TABLE_COLUMN tb_product.order_amt DATASET_COLUMN
tb_order DATASET tb_order.province DATASET_COLUMN
tb_order DATASET tb_order.city DATASET_COLUMN
sum_order_amt METRIC 7d_sum_order_amt METRIC
tb_order_city DIMENSION 7d_sum_order_amt METRIC
tb_product_type DIMENSION analysis_view_name ANALYSIS_VIEW

Request Example

http://127.0.0.1:8083/anymetrics/api/v1/lineage/queryAll

Response Example

  • Edge details list:

  • Source vertex ID and type

  • Destination vertex ID and type

{
  "data": {
    "edgeList": [
      {
        "srcVertex": {
          "vertexId": "7d_sum_order_amt",
          "vertexType": "METRIC"
        },
        "dstVertex": {
          "vertexId": "analysis_view_name",
          "vertexType": "ANALYSIS_VIEW"
        }
      },
      {
        "srcVertex": {
          "vertexId": "sum_order_amt",
          "vertexType": "METRIC"
        },
        "dstVertex": {
          "vertexId": "analysis_view_name",
          "vertexType": "ANALYSIS_VIEW"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order_province",
          "vertexType": "DIMENSION"
        },
        "dstVertex": {
          "vertexId": "analysis_view_name",
          "vertexType": "ANALYSIS_VIEW"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_product_type",
          "vertexType": "DIMENSION"
        },
        "dstVertex": {
          "vertexId": "analysis_view_name",
          "vertexType": "ANALYSIS_VIEW"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order_city",
          "vertexType": "DIMENSION"
        },
        "dstVertex": {
          "vertexId": "7d_sum_order_amt",
          "vertexType": "METRIC"
        }
      },
      {
        "srcVertex": {
          "vertexId": "sum_order_amt",
          "vertexType": "METRIC"
        },
        "dstVertex": {
          "vertexId": "7d_sum_order_amt",
          "vertexType": "METRIC"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "sum_order_amt",
          "vertexType": "METRIC"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order.province",
          "vertexType": "DATASET_COLUMN"
        },
        "dstVertex": {
          "vertexId": "sum_order_amt",
          "vertexType": "METRIC"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order.province",
          "vertexType": "DATASET_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_order_province",
          "vertexType": "DIMENSION"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order.city",
          "vertexType": "DATASET_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_order_city",
          "vertexType": "DIMENSION"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_order.order_amt",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_order.city",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_order",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_order.province",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "default_catalog.anymetrics.tb_order",
          "vertexType": "PHYSICAL_TABLE"
        },
        "dstVertex": {
          "vertexId": "tb_order",
          "vertexType": "DATASET"
        }
      },
      {
        "srcVertex": {
          "vertexId": "default_catalog.anymetrics.tb_order.province",
          "vertexType": "PHYSICAL_TABLE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.province",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "default_catalog.anymetrics.tb_order.city",
          "vertexType": "PHYSICAL_TABLE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.city",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "default_catalog.anymetrics.tb_order.order_amt",
          "vertexType": "PHYSICAL_TABLE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.order_amt",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_product.type",
          "vertexType": "DATASET_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product_type",
          "vertexType": "DIMENSION"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_product",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_product.type",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_product",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_product.id",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "tb_product",
          "vertexType": "DATASET"
        },
        "dstVertex": {
          "vertexId": "tb_product.name",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "aloudata_am_upload_database_dev.public.product",
          "vertexType": "FILE"
        },
        "dstVertex": {
          "vertexId": "tb_product",
          "vertexType": "DATASET"
        }
      },
      {
        "srcVertex": {
          "vertexId": "aloudata_am_upload_database_dev.public.product.name",
          "vertexType": "FILE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.name",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "aloudata_am_upload_database_dev.public.product.id",
          "vertexType": "FILE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.id",
          "vertexType": "DATASET_COLUMN"
        }
      },
      {
        "srcVertex": {
          "vertexId": "aloudata_am_upload_database_dev.public.product.type",
          "vertexType": "FILE_COLUMN"
        },
        "dstVertex": {
          "vertexId": "tb_product.type",
          "vertexType": "DATASET_COLUMN"
        }
      }
    ]
  },
  "success": true,
  "code": "200",
  "errorMsg": null,
  "detailErrorMsg": null,
  "traceId": "87412607dfb24c8c8e862b9c306d73d0.190.17312960636410005"
}